HttpRequestMessage<T> Interface
Definition
An HttpRequestMessage instance is provided to Azure functions that use HttpTrigger. For an example of how to use the http functionality of Azure Functions, refer to the example in the HttpTrigger
public interface HttpRequestMessage<T>
Type Parameters
- T
Methods
| createResponseBuilder(HttpStatus status) |
Returns a HttpResponseMessage.Builder instance to build a HttpResponseMessage with standard HTTP status code and no response body. |
| createResponseBuilder(HttpStatusType status) |
Returns a HttpResponseMessage.Builder instance to build a HttpResponseMessage with custome HTTP status code and no response body. |
| getBody() |
Returns any body content that was included with this HTTP request. |
| getHeaders() |
Returns a map of headers that were contained within this HTTP request. |
| getHttpMethod() |
Returns the HTTP method name as Enum |
| getQueryParameters() |
Returns a map of query parameters that were included with this HTTP request. |
| getUri() |
Returns the URI that was called that resulted in this HTTP request being submitted. |